For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
            • GETList Email Templates
            • GETGet Email Template
            • PUTUpdate Template
            • DELDelete Email Template Override
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentEmail Templates

Delete Email Template Override

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/marketing/email-templates/:template-name
DELETE
/stores/:store_hash/v3/marketing/email-templates/:template-name
$curl -X DELETE "https://api.bigcommerce.com/stores/store_hash/v3/marketing/email-templates/template-name?channel_id=1" \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Deleted
1{}

Removes a channel-specific email template override.

Was this page helpful?
Previous

Update Template

Next

Pages V3

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

template-namestringRequired
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerRequired
Required Channel ID. This delete operation will delete overridden settings for this channel, thus restoring them to the global defaults.

Response

OK